﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PV178.Lecture1.Zoo
{
    class Hamster : Animal
    {
        private const int HamsterApetite = 5;


        public override string AnimalKind
        {
            get { return "Krecek"; }
        }


        // tento konstruktor predava parameter hamsterName konstrukturu sve rodicovske tridy
        public Hamster(string hamsterName)
            : base(hamsterName)
        {
        }


        /// <summary>
        /// Krecci toho snedi opravdu hodne. <c>HamsterApetite</c> je konstanta, 
        /// aby se v nepovalovala nejaka magicka cisla.
        /// </summary>
        public override void EatMeal()
        {
            if (Hunger - HamsterApetite > 0)
            {
                Hunger -= HamsterApetite;
            }
            else
            {
                Hunger = 0;
            }
        }
    }
}
